New Project with Mesa 7I96 and THCAD-05

More
13 Jun 2020 19:50 #171475 by TexasCNC
Installed linuxcnc 2.7.14 and then upgraded to 2.8 since I have been seeing that mesa 7I96 works with this version. I filled out the pnconfig wizard and I saw that the 7I96 card is in the drop down menu and idnt think I need to use the configuration tool for it? Anyways I filled out the rest of the tabs and tried opening it and get the error that is attached. I am testing this on my kitchen table with the card hooked up and pinging I will hook up driver and motors once I can get the gui working. Any ideas what it can be or can I just upgrade to 2.9 is that supported with new setup of the mesa 7i96 card?

File Attachment:

File Name: linuxcnc_info.txt
File Size:3 KB
Attachments:

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 20:01 #171476 by tommylight
We need the error report, not linuxcnc info, nothing there that would help.
No need to go to 2.9 or master if you do not plan to develop or test any new features.

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 20:10 #171479 by PCW
Best thing is to start LinuxCNC from the command line
( by typing linuxcnc in a terminal window )
and copy-paste the messages and post them here

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 20:24 #171483 by TexasCNC
Attachments:

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 20:27 - 13 Jun 2020 20:37 #171484 by TexasCNC
I am not an expert in linuxcnc pretty much this forum has been a big help and wanted to add more stuff to my plasma table and I was pointed towards the mesa cards and wanted to try them out currently have 2.9 on my other machine and working fine but with chinese breakout board.
Last edit: 13 Jun 2020 20:37 by TexasCNC.

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 20:42 #171485 by tommylight
You have the wrong kernel for eth cards, you need preempt-rt, not RTAI.
The Stretch version has the kernel required, here
www.linuxcnc.org/testing-stretch-rtpreempt/
Or use the Linux Mint or Debian 10.4 howtos to install a new version of Linux and Linuxcnc, here:
forum.linuxcnc.org/9-installing-linuxcnc...nd-easy-installation
or
forum.linuxcnc.org/9-installing-linuxcnc...ick-and-easy-install

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 20:45 #171487 by TexasCNC
Ahh I see let me see if i can figure this out

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 20:50 #171489 by TexasCNC
Whats the easiest way to do this since I have liniux running right now and hooked up to internet? Do i need to have a usb boot program?

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 21:07 #171493 by rodw
I would start again. Save your config somewhere safe. I'd just copy it to Google Drive but I guess a USB stick would do.
Then I would install the Stretch PREMPT_RT ISO and install V 2.8

But one of the unofficial ISOs might come with V 2.8 installed already.

Just be aware that the PREMPT_RT might increase latency to such an extent that new PC hardware is required... Thats what I found anyway.... but I was on 32bit hardware..

Please Log in or Create an account to join the conversation.

More
13 Jun 2020 21:23 #171496 by TexasCNC
What program in linuxcnc can I use to make a file bootable or just to upgrade from m y current version?

Please Log in or Create an account to join the conversation.

Time to create page: 0.285 seconds
Powered by Kunena Forum